<app-nav-menu></app-nav-menu>
<!-- Form implementation -->
<div class="col-md-5">
  <h3 class="card-body text-info">Add a new book</h3>
  <form [formGroup]="addForm" (ngSubmit)="onSubmit()">
    <div class="form-group">
      <label>Title:*</label>
      <input type="text" formControlName="Title" class="form-control bg-light text-secondary" [ngClass]="{ 'is-invalid': submitted && f.Title.errors }">
      <div *ngIf="submitted && f.Title.errors">
        <div *ngIf="f.Title.errors.required">Title is required</div>
      </div>
    </div>

    <div class="form-group">
        <label>ISBN:*</label>
        <input type="text" formControlName="Isbn" class="form-control bg-light text-secondary" maxlength="13" minlength="13" [ngClass]="{ 'is-invalid': submitted && f.Isbn.errors }">
        <div *ngIf="submitted && f.Isbn.errors">
          <div *ngIf="f.Isbn.errors.required">ISBN is required</div>
        </div>
      </div>

    <div class="form-group">
      <label>Rent plan:*</label>
      <select class="custom-select my-1 mr-sm-2 bg-light text-secondary" id="inlineFormCustomSelectPref" formControlName="RentRule" [ngClass]="{ 'is-invalid': submitted && f.RentRule.errors }">
        <option value="One" selected>One</option>
        <option value="Two">Two</option>
        <option value="Three">Three</option>
      </select>
      <div *ngIf="submitted && f.RentRule.errors">
        <div *ngIf="f.RentRule.errors.required">Rent plan is required</div>
      </div>
    </div>

    <div class="form-group">
        <label>Publisher:*</label>
        <input type="text" formControlName="Publisher" class="form-control bg-light text-secondary"  [ngClass]="{ 'is-invalid': submitted && f.Publisher.errors }">
        <div *ngIf="submitted && f.Publisher.errors">
          <div *ngIf="f.Publisher.errors.required">Publisher is required</div>
        </div>
    </div>

    <div class="form-group">
        <label>Publish date:*</label>
        <input type="text" formControlName="PublishDate" placeholder="MM/YY" maxlength="5" minlength="5" class="form-control bg-light text-secondary" [ngClass]="{ 'is-invalid': submitted && f.PublishDate.errors }">
        <div *ngIf="submitted && f.PublishDate.errors">
          <div *ngIf="f.PublishDate.errors.required">Publish date is required</div>
        </div>
    </div>

    <div class="form-group">
        <label>Author(s):*</label><span class="text-info"> Add ; between authors</span>
        <input type="text" formControlName="Authors" class="form-control bg-light text-secondary" [ngClass]="{ 'is-invalid': submitted && f.Authors.errors }">
        <div *ngIf="submitted && f.Authors.errors">
          <div *ngIf="f.Authors.errors.required">Publish date is required</div>
        </div>
    </div>

    <div class="form-group">
      <label>Quantity:</label>
      <input type="text" formControlName="Quantity" class="form-control bg-secondary text-light" [ngClass]="{ 'is-invalid': submitted && f.Quantity.errors }">
      <div *ngIf="submitted && f.Quantity.errors">
        <div *ngIf="f.Quantity.errors.required">Quantity is required</div>
      </div>
    </div>
    
    <div class="form-group">
        <label>Description:</label>
        <textarea class="form-control bg-light text-secondary" formControlName="Description" aria-label="With textarea" ></textarea>
        <div *ngIf="submitted && f.Description.errors">
          <div *ngIf="f.Description.errors.required">Description is required</div>
        </div>
      </div>
  
    <button type="submit" class="btn-info btn">&nbsp; Save &nbsp;</button>
  </form>
</div>
